org.apache.ignite.internal.processors.rest.handlers.cache

## Class GridCacheQueryCommandHandler

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.handlers.GridRestCommandHandlerAdapter
  - - org.apache.ignite.internal.processors.rest.handlers.cache.GridCacheQueryCommandHandler

All Implemented Interfaces:
  GridRestCommandHandler

    public class GridCacheQueryCommandHandler
    extends GridRestCommandHandlerAdapter

Cache query command handler.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.rest.handlers.GridRestCommandHandlerAdapter

`ctx, log`

### Constructor Summary

Constructors
Constructor and Description
`GridCacheQueryCommandHandler(GridKernalContext ctx)`

### Method Summary

Methods
`IgniteInternalFuture<GridRestResponse>` `handleAsync(GridRestRequest req)`
`Collection<GridRestCommand>` `supportedCommands()`

### Methods inherited from class org.apache.ignite.internal.processors.rest.handlers.GridRestCommandHandlerAdapter

`missingParameter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridCacheQueryCommandHandler

    public GridCacheQueryCommandHandler(GridKernalContext ctx)

Parameters:
  `ctx` - Context.

### Method Detail

#### supportedCommands

    public Collection<GridRestCommand> supportedCommands()

Returns:
  Collection of supported commands.

#### handleAsync

    public IgniteInternalFuture<GridRestResponse> handleAsync(GridRestRequest req)

Parameters:
  `req` - Request.
Returns:
  Future.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015